Index: code/branches/cpp11_v3/src/orxonox/items/Engine.cc
===================================================================
--- code/branches/cpp11_v3/src/orxonox/items/Engine.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/items/Engine.cc	(revision 11054)
@@ -50,5 +50,5 @@
         RegisterObject(Engine);
 
-        this->ship_ = 0;
+        this->ship_ = nullptr;
         this->shipID_ = OBJECTID_UNKNOWN;
         this->relativePosition_ = Vector3::ZERO;
@@ -136,5 +136,5 @@
     void Engine::networkcallback_shipID()
     {
-        this->ship_ = 0;
+        this->ship_ = nullptr;
 
         if (this->shipID_ != OBJECTID_UNKNOWN)
@@ -155,5 +155,5 @@
     void Engine::run(float dt)
     {
-        if (this->ship_ == NULL)
+        if (this->ship_ == nullptr)
         {
             if (this->shipID_ != 0)
@@ -161,5 +161,5 @@
                 this->networkcallback_shipID();
 
-                if (this->ship_ == NULL)
+                if (this->ship_ == nullptr)
                     return;
             }
Index: code/branches/cpp11_v3/src/orxonox/items/Engine.h
===================================================================
--- code/branches/cpp11_v3/src/orxonox/items/Engine.h	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/items/Engine.h	(revision 11054)
@@ -59,5 +59,5 @@
             virtual ~Engine();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             void setConfigValues();
 
@@ -67,5 +67,5 @@
             /**
             @brief Get the SpaceShip this Engine is mounted on.
-            @return Returns a pointer to the SpaceShip. NULL if it isn't mounted on any ship.
+            @return Returns a pointer to the SpaceShip. nullptr if it isn't mounted on any ship.
             */
             inline SpaceShip* getShip() const
Index: code/branches/cpp11_v3/src/orxonox/items/MultiStateEngine.cc
===================================================================
--- code/branches/cpp11_v3/src/orxonox/items/MultiStateEngine.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/items/MultiStateEngine.cc	(revision 11054)
@@ -67,7 +67,7 @@
         else
         {
-            this->defEngineSndBoost_ = 0;
-            this->defEngineSndNormal_ = 0;
-            this->lua_ = 0;
+            this->defEngineSndBoost_ = nullptr;
+            this->defEngineSndNormal_ = nullptr;
+            this->lua_ = nullptr;
         }
         this->state_ = 0;
@@ -85,7 +85,7 @@
             {
                 // We have no ship, so the effects are not attached and won't be destroyed automatically
-                for (std::vector<EffectContainer*>::const_iterator it = this->effectContainers_.begin(); it != this->effectContainers_.end(); ++it)
-                    for (std::vector<WorldEntity*>::const_iterator it2 = (*it)->getEffectsBegin(); it2 != (*it)->getEffectsBegin(); ++it2)
-                        (*it2)->destroy();
+                for (EffectContainer* container : this->effectContainers_)
+                    for (std::vector<WorldEntity*>::const_iterator it = container->getEffectsBegin(); it != container->getEffectsBegin(); ++it)
+                        (*it)->destroy();
                 if (this->defEngineSndNormal_)
                     this->defEngineSndNormal_->destroy();
@@ -178,6 +178,6 @@
 
                 // Update all effect conditions
-                for (std::vector<EffectContainer*>::const_iterator it = this->effectContainers_.begin(); it != this->effectContainers_.end(); ++it)
-                    (*it)->updateCondition();
+                for (EffectContainer* container : this->effectContainers_)
+                    container->updateCondition();
             }
         }
@@ -198,12 +198,12 @@
             this->getShip()->attach(defEngineSndBoost_);
 
-        for (std::vector<EffectContainer*>::const_iterator it = this->effectContainers_.begin(); it != this->effectContainers_.end(); ++it)
-            for (std::vector<WorldEntity*>::const_iterator it2 = (*it)->getEffectsBegin(); it2 != (*it)->getEffectsEnd(); ++it2)
-                this->getShip()->attach(*it2);
+        for (EffectContainer* container : this->effectContainers_)
+            for (std::vector<WorldEntity*>::const_iterator it = container->getEffectsBegin(); it != container->getEffectsEnd(); ++it)
+                this->getShip()->attach(*it);
     }
 
     void MultiStateEngine::addEffectContainer(EffectContainer* effect)
     {
-        if (effect == NULL)
+        if (effect == nullptr)
             return;
         effect->setLuaState(this->lua_, 'f' + multi_cast<std::string>(this->effectContainers_.size()));
@@ -219,10 +219,11 @@
     {
         unsigned int i = 0;
-        for (std::vector<EffectContainer*>::const_iterator it = this->effectContainers_.begin(); it != this->effectContainers_.end(); ++it)
+        for (EffectContainer* effectContainer : this->effectContainers_)
         {
             if (i == index)
-                return (*it);
-        }
-        return NULL;
+                return effectContainer;
+            i++;
+        }
+        return nullptr;
     }
 
Index: code/branches/cpp11_v3/src/orxonox/items/MultiStateEngine.h
===================================================================
--- code/branches/cpp11_v3/src/orxonox/items/MultiStateEngine.h	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/items/MultiStateEngine.h	(revision 11054)
@@ -52,9 +52,9 @@
             virtual ~MultiStateEngine();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void run(float dt);
+            virtual void run(float dt) override;
 
-            virtual void addToSpaceShip(SpaceShip* ship);
+            virtual void addToSpaceShip(SpaceShip* ship) override;
 
             void addEffectContainer(EffectContainer* effect);
Index: code/branches/cpp11_v3/src/orxonox/items/PartDestructionEvent.h
===================================================================
--- code/branches/cpp11_v3/src/orxonox/items/PartDestructionEvent.h	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/items/PartDestructionEvent.h	(revision 11054)
@@ -100,5 +100,5 @@
             virtual ~PartDestructionEvent();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void execute();
Index: code/branches/cpp11_v3/src/orxonox/items/ShipPart.cc
===================================================================
--- code/branches/cpp11_v3/src/orxonox/items/ShipPart.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/items/ShipPart.cc	(revision 11054)
@@ -49,5 +49,5 @@
 
     ShipPart::ShipPart(Context* context)
-        : Item(context), parent_(NULL)
+        : Item(context), parent_(nullptr)
     {
         RegisterObject(ShipPart);
@@ -121,5 +121,5 @@
     void ShipPart::addEntity(StaticEntity* entity)
     {
-        OrxAssert(entity != NULL, "The Entity cannot be NULL.");
+        OrxAssert(entity != nullptr, "The Entity cannot be nullptr.");
         this->entityList_.push_back(entity);
     }
@@ -129,10 +129,10 @@
         Get the i-th StaticEntity of the ShipPart.
     @return
-        Returns a pointer to the i-the StaticEntity. NULL if there is no StaticEntity with that index.
+        Returns a pointer to the i-the StaticEntity. nullptr if there is no StaticEntity with that index.
     */
     StaticEntity* ShipPart::getEntity(unsigned int index)
     {
         if(this->entityList_.size() >= index)
-            return NULL;
+            return nullptr;
         else
             return this->entityList_[index];
@@ -142,12 +142,12 @@
     @brief
         Check whether the ShipPart has a particular Entity.
-    @param engine
+    @param search
         A pointer to the Entity to be checked.
     */
-    bool ShipPart::hasEntity(StaticEntity* entity) const
-    {
-        for(unsigned int i = 0; i < this->entityList_.size(); i++)
-        {
-            if(this->entityList_[i] == entity)
+    bool ShipPart::hasEntity(StaticEntity* search) const
+    {
+        for(StaticEntity* entity : this->entityList_)
+        {
+            if(entity == search)
                 return true;
         }
@@ -163,5 +163,5 @@
     void ShipPart::addDestructionEvent(PartDestructionEvent* event)
     {
-        OrxAssert(event != NULL, "The PartDestructionEvent cannot be NULL.");
+        OrxAssert(event != nullptr, "The PartDestructionEvent cannot be nullptr.");
         event->setParent(this);
         this->eventList_.push_back(event);
@@ -172,10 +172,10 @@
         Get the i-th PartDestructionEvent of the ShipPart.
     @return
-        Returns a pointer to the i-the PartDestructionEvent. NULL if there is no PartDestructionEvent with that index.
+        Returns a pointer to the i-the PartDestructionEvent. nullptr if there is no PartDestructionEvent with that index.
     */
     PartDestructionEvent* ShipPart::getDestructionEvent(unsigned int index)
     {
         if(this->eventList_.size() <= index)
-            return NULL;
+            return nullptr;
         else
             return this->eventList_[index];
Index: code/branches/cpp11_v3/src/orxonox/items/ShipPart.h
===================================================================
--- code/branches/cpp11_v3/src/orxonox/items/ShipPart.h	(revision 11053)
+++ code/branches/cpp11_v3/src/orxonox/items/ShipPart.h	(revision 11054)
@@ -47,5 +47,5 @@
             virtual ~ShipPart();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             virtual void handleHit(float damage, float healthdamage, float shielddamage, Pawn* originator);
